QGIS Application - Bug report #18031
QGIS crashed after removing temporary scratch layer
2018-02-02 01:27 PM - Jadwiga Trojak

Status: Closed

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Professional 64bit Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25927
Description

User Feedback

QGIS crashed after removing temporary scratch layer

Report Details

Crash ID: f2ad2619a4bfb68157b5e116ce7dc98d4f8cf8cf
Stack Trace

QgslLayoutViewToolAddNodeltem::gt_static_metacall :
QgsLayoutViewToolAddNodeltem::gt_static_metacall :
QltemSelectionModel:qt_static_metacall :
QltemSelectionModel:qt_static_metacall :
QltemSelection::indexes :
QltemSelectionModel::selectedIndexes :
QgslLayoutViewToolAddNodeltem::qt_static_metacall :
QgslLayoutViewToolAddNodeltem::qt_static_metacall :
QgslLayoutViewToolAddNodeltem::gt_static_metacall :
QgsLayoutViewToolAddNodeltem::gt_static_metacall :
QMetaObject::activate :
QAbstractltemModel::endRemoveRows :
QgsLayoutViewToolAddNodeltem::qt_static_metacall :
QgsLayoutViewToolAddNodeltem::gt_static_metacall :
QgslLayoutViewToolAddNodeltem::qt_static_metacall :
QgslLayoutViewToolAddNodeltem::qt_static_metacall :
QMetaObject::activate :
QAbstractltemModel::endRemoveRows :
QSortFilterProxyModel::removeRows :
QSortFilterProxyModel::sortRole :
QSortFilterProxyModel::'default constructor closure':
QMetaObject::activate :
QAbstractltemModel::beginRemoveRows :
QgslLayoutViewToolAddNodeltem::qt_static_metacall :
QgslLayoutViewToolAddNodeltem::gt_static_metacall :
QgsLayoutViewToolAddNodeltem::gt_static_metacall :
QgsLayoutViewToolAddNodeltem::qt_static_metacall :
QgsLayoutViewToolAddNodeltem::qt_static_metacall :
QMetaObject::activate :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QMetaObject::activate :

QObject::~QObject :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :
QgsFeatureRequest::setinvalidGeometryCallback :

QObject::event :
QApplicationPrivate::notify_helper :
QApplication::notify :

QgsFeatureRequest::setinvalidGeometryCallback :

QCoreApplication::notifylnternal2 :

QCoreApplicationPrivate::sendPostedEvents :

gt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :
TranslateMessage :

QEventDispatcherWin32::processEvents :

gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :
QgisApp::addVectorLayers :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:72ca8d7b9c
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2018-02-04 12:16 PM - Richard Duivenvoorde

- Status changed from Open to Feedback

Hi, | cannot confirm this issue, neither on Linux nor on Windows10 with current master.

Can you tell the exact steps? (with or without other layers, with or without saving when you delete it etc??)

Can you try this again in a fresh profile, so you start without any plugin?

Or try yourself if you can reproduce this issue on another computer?

If not, | would conclude that this is a local issue, either called by a plugin or the install on that machine

#2 - 2018-02-06 10:30 PM - Jadwiga Trojak
Hi, the bug did't repeat after reporting.

Thanks for feedback.
Regards,
#3 - 2018-02-07 01:48 AM - Nyall Dawson
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Not reproducable, and the attached stack trace uses out of date debugging symbols so cannot be used to assist.
